package mi.hdm.recipes;

public class Category {

    private final String name;
    private final int colourCode; //0x für Hexzahlen


    public Category (String name, int colourCode) {
        this.name = name;
        this.colourCode = colourCode;
    }


    public int getColourCode() {
        return colourCode;
    }

    public String getName() {
        return name;
    }

    @Override
    public boolean equals(Object o){
        if (o instanceof Category) {
            Category c = (Category) o;
            return this.name.equals(c.getName()) || this.colourCode == c.getColourCode();
        }
        return false;
    }

    @Override
    public String toString() {
        return String.format("Category %s with color code %d", name, colourCode);
    }

}
